Subject: 23.0.60; g_main_context_prepare() called recursively

From: Markus Triska <[email-masked]>
Date: Fri, 26 Dec 2008 13:00:17 +0100 (CET)

>From OSX 10.4, I log in via ssh to a remote machine R running Ubuntu
jaunty, and there do:

   $ emacs -nw -Q -f server-start

In another terminal in OSX, I again ssh to R, and there do:

   $ emacsclient -c

As expected, I get an X frame on the local machine (OSX). Now I close
the terminal in which I started the remote emacsclient, thus killing
the client. The remote server at this point shows the message:

   server: Connection lost to X server `localhost:11.0'

Now I again ssh to R, and again do there:

   $ emacsclient -c

Now, only a blank frame shows up, and the remote server repeatedly
shows the following message:

 (emacs:11624): GLib-WARNING **: g_main_context_prepare() called
   recursively from within a source's check() or prepare() member.

Information about Emacs on the remote machine R:

   In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.14.5)
    of 2008-12-24 on R
   Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
   Important settings:
     value of $LC_ALL: nil
     value of $LC_COLLATE: nil
     value of $LC_CTYPE: nil
     value of $LC_MESSAGES: nil
     value of $LC_MONETARY: nil
     value of $LC_NUMERIC: nil
     value of $LC_TIME: nil
     value of $LANG: en_US.UTF-8
     value of $XMODIFIERS: nil
     locale-coding-system: utf-8-unix
     default-enable-multibyte-characters: t

This also works when I ssh from R to R itself, i.e., I can reproduce
the problem in Ubuntu jaunty alone as well.

In GNU Emacs 23.0.60.1 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2008-12-25 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t